package com.dev.swms.server.service.fee;

import java.util.Date;
import java.util.List;

import org.springframework.transaction.annotation.Transactional;

import com.dev.energy.server.service.BaseManager;
import com.dev.swms.server.model.fee.BillFee;
import com.dev.swms.server.model.fee.Fee;
@Transactional(readOnly=false)
public interface FeeManager extends BaseManager{
	
	/**保存对账单信息*/
	@Transactional
	void autoCreateFee(); 
	
	/**补仓储费*/
	@Transactional
	void autoCreateFee(Date date); 
	

	/**保存对账单信息*/
	@Transactional
	void autoCreateFeeRate();
	
	/**仓储费维护*/
	@Transactional
	void savefee(Fee fee);
	
	/**删除仓储费*/
	@Transactional
	void deleteAll(List<Long> ids );
	@Transactional
	void autoAsnFee(Long asnId);
	@Transactional
	void autoPickFee(Long pickId); 
	@Transactional
	void deleteBillFee(Long id,String type);
}
